
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用 IIS 进行ASP.NET 成员/角色管理(1)：安全和配置概述 / iVAN</title>

    <meta name="description" content="使用 IIS 进行ASP.NET 成员/角色管理(1)：安全和配置概述 asp.net|iis|安全 适用于: Microsoft ASP.NET 2.0 Microsoft Visual Studio 2005 Microsoft Internet 信息服务 摘要:Peter Kellner 就创建应用程序来管理 Microsoft ASP.NET 2.0 成员身份数据库写了两篇文章,这是第一篇.本文主要论述如何保证解决方案的安全性以确保只有适合的管理员才能访问这些数据. 摘要 本系列由两篇文章组成,论述如何安全使用和设置用于管理 ASP.NET Membersh">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用 IIS 进行ASP.NET 成员/角色管理(1)：安全和配置概述</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>asp.net|iis|安全</p>
<p>　　<strong>适用于：</strong></p>
<p>　　Microsoft ASP.NET 2.0<br />　　Microsoft Visual Studio 2005<br />　　Microsoft Internet 信息服务</p>
<p><b>　　摘要：</b>Peter Kellner 就创建应用程序来管理 Microsoft ASP.NET 2.0 成员身份数据库写了两篇文章，这是第一篇。本文主要论述如何保证解决方案的安全性以确保只有适合的管理员才能访问这些数据。</p>
<p>　　<strong>摘要</strong></p>
<p>　　本系列由两篇文章组成，论述如何安全使用和设置用于管理 ASP.NET Membership 与 Roles 的三层解决方案，本文是第一篇。本文将主要论述如何配置、使用以及（最重要的是）保证此解决方案的安全性，并概述如何将其在典型的 Microsoft ASP.NET 2.0 Web 解决方案中实现。<b>Membership</b> 和 <b>Roles</b> 对象被视为可运作，而不用深究其内部结构。管理 Members 和 Roles 似乎与管理简单数据源中的数据无异。在第二篇文章中，将详细说明这些控件和对象的内部结构，以便开发人员能够使用类似的技术创建自己的控件和对象。</p>
<p>　　<strong>简介</strong></p>
<p>　　ASP.NET 2.0 将用户身份验证直接扩展到了应用程序编程领域。使用标准的 .NET 库引用 (<b>system.web.security</b>)，开发人员只需另外进行非常少的工作就可以为其应用程序创建完全身份验证。请记住，必须执行必要的操作以尽可能保证创建的应用程序在使用期间的安全性。</p>
<p>　　本文概述了安全机制并显示了示例安全设置，这些设置是为 Web 应用程序创建安全环境的基本要素。ASP.NET 2.0 提供了许多不同的配置选项，这些选项是否必要取决于安全要求。本文将介绍这些配置选项的优缺点。</p>
<p>　　<strong>安全性注意事项</strong></p>
<p><b>　　保证物理环境的安全性</b></p>
<p>　　人们常说，计算机的安全性由计算机前端面板上的电源开关来决定。无论操作系统级别对系统的保护有多么严密，物理保护都是最基本的。所以必须假定任何有权以物理方式访问计算机的用户始终能够以某种方式危害计算机的完整性。</p>
<p><b>　　保证域环境的安全性</b></p>
<p>　　必须遵循设置用户帐户、密码和权限的最佳做法。例如，如果不具有相应权限的用户能够直接访问包含 Web 应用程序所用的安全数据的数据库，则该应用程序可能会受到危害。</p>
<p><b>　　保证 .NET 环境的安全性</b></p>
<p>　　.NET 环境允许设置代码访问安全性。这意味着各个系统和应用程序库可以与不同的信任级别相关联。这在某些环境中是非常重要的，例如，可以运行多个 Web 应用程序的共享宿主环境。可能由不同用户拥有的每个 Web 应用程序可能会要求彼此隔离与保护。此外，如果不进行这种隔离，每个 Web 应用程序都可能影响关键的系统功能。</p>
<p>　　本文假定 ASP.NET 用户（IIS 代表该用户运行）以最高信任级别运行。这就好像 Web 应用程序在专门环境中运行一样。</p>
<p><b>　　ASP.NET 与 IIS 的关系</b></p>
<p>　　在与 IIS 配合工作时，ASP.NET 支持三种身份验证提供程序：Forms 身份验证（使用应用程序特定的逻辑）、Passport 身份验证（由 Microsoft 提供的集中身份验证服务）和 Windows 身份验证（使用直接通过 IIS 提供的身份验证）。本文使用的是 ASP.NET 项目的默认身份验证：Forms 身份验证。身份验证模式在 web.config 文件中指定。语法选择如下。</p>
<p>&lt;authentication mode = "{Windows|Forms|Passport|None}"&gt;<br />&lt;/authentication&gt;</p>
<p>　　流程图中描述了用户从 Web 客户端登录时要遵循的流程。</p>
<p>　　请记住，这篇文章编写于 2001 年，当时的流程是相应于 IIS 5.1 而言的，而不是目前的 IIS 6.0 或更高版本。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MTk1MDI5MTUzLmdpZg==.jpg"></p>
<p><b>图 1：IIS 与 ASP.NET 之间的安全流程</b></p>
<p>　　<strong>ASP.NET 2.0 网站中基于角色的安全性</strong></p>
<p><b>　　初始安装与配置</b></p>
<p><b>　　web.config 文件/不常改动项</b></p>
<p>　　web.config 文件中设置了一些影响 ASP.NET 2.0 Web 应用程序总体运行情况的参数。示例参数包括，对成员身份提供程序（或数据库）的引用、所需密码强度以及是否要求注册电子邮件。下面显示了 web.config 文件中的相关部分，其中包含最低安全性配置值示例。详细信息可通过以下方式获得：访问 Visual Studio 2005 帮助，然后查阅“Membership Members”。每个安全性参数在此均有详细说明。</p>
<p>&lt;providers&gt;<br />&lt;remove name="AspNetSqlMembershipProvider"/&gt;<br />&lt;add name="AspNetSqlMembershipProvider" <br />type="System.Web.Security.SqlMembershipProvider, <br />System.Web, Version=2.0.0.0, Culture=neutral, <br />PublicKeyToken=b03f5f7f11d50a3a" <br />connectionStringName="LocalSqlServer"  <br />enablePasswordRetrieval="false" <br />enablePasswordReset="true" <br />requiresQuestionAndAnswer="true" <br />applicationName="/" <br />requiresUniqueEmail="false" <br />minRequiredPasswordLength="1" <br />minRequiredNonalphanumericCharacters="0" <br />passwordFormat="Hashed" <br />maxInvalidPasswordAttempts="5" <br />passwordAttemptWindow="10" <br />passwordStrengthRegularExpression=""<br />commentTimeout=""/&gt;<br />&lt;/providers&gt;</p>
<p>　　除了上面显示的 web.config 文件部分外，machine.config 文件中包含与 Membership 关联的数据库的默认连接字符串。可以在 web.config 文件中配置一个不同的连接字符串。要添加附加安全性，可以编码连接字符串，并可以加密 Membership 数据库密码。许多文章已针对这些折衷方法进行了论述。Microsoft 的快速入门指南（英文）中提供了有关如何在 web.config 文件中使用加密的很好的示例。</p>
<p><b>　　web.config 文件/.aspx 页面安全性</b></p>
<p>　　可以为 Web 应用程序中的每个网页指定一个安全级别。通过指定访问页面所需具备的角色即可执行此操作。web.config 文件中的语法非常简单。例如，以下 web.config 片段指定了只有角色被指定为 Administrator 的用户才能访问网页 MembershipGrid.aspx。</p>
<p>&lt;system.web&gt;<br />&lt;location path="MembershipGrid.aspx" &gt;<br />&lt;system.web&gt;<br />&lt;authorization &gt;<br />&lt;allow roles="Administrators"/&gt;<br />&lt;/authorization&gt;<br />&lt;/system.web&gt;<br />&lt;/location&gt;<br />&lt;/system.web&gt;</p>
<p>　　又例如，要指定只有特定角色才能访问某个子目录中的所有页面，则 web.config 文件如下。在本示例中，只有角色被指定为 Administrator 的用户才能访问 ~/AdminDir 路径中的所有文件。</p>
<p>&lt;system.web&gt;<br />&lt;location path="AdminDir" &gt;<br />&lt;system.web&gt;<br />&lt;authorization &gt;<br />&lt;allow roles="Administrators"/&gt;<br />&lt;/authorization&gt;<br />&lt;/system.web&gt;<br />&lt;/location&gt;<br />&lt;/system.web&gt;</p>
<p><b>　　web.config 文件/内部 .aspx 页面安全性</b></p>
<p>　　很多时候，需要提供比上述更精确的安全性。也就是说，可能需要对控件（例如按钮）或 aspx 页面提供保护。为此，需要以编程方式更改与会受影响的控件关联的属性。例如，如果需要根据用户角色隐藏某个删除按钮，则需要执行两步操作：首先，应该把名为 <b>ShowButtonBasedOnRole</b> 的方法添加到网页的 codebehind 类。如果用户具备要求的角色，将返回 <b>true</b>；如果用户不具备要求的角色，将返回 <b>false</b>。</p>
<p>protected bool ShowButtonBasedOnRole(string RoleOfInterest)<br />{<br />return User.IsInRole(RoleOfInterest);   <br />}</p>
<p>　　然后，在实际 aspx 页面上，基于内含代码方法 <b>ShowButtonBasedOnRole</b> 来设置该按钮的可见性属性。该按钮的实际声明大致如下。<br />
<br />&lt;asp:Button ID="Button1" runat="server" Text="按钮" Visible='&lt;%# (bool) ShowDeleteRowBasedOnRole("administrator") %&gt;'&gt; /&gt;</p>
<p>　　如果按钮基于所设置的多个角色中的任何一个，则传入参数可更改为字符串，并且在返回用户是否被指定为其中某个角色的答案之前，将检查所有这些角色。</p>
<p><b>　　使用成员/角色管理器 aspx 页面</b></p>
<p>　　要使用本项中包含的 aspx 页面 (Membership.aspx)，需要执行以下几步操作。首先，需要复制文章项目文件中的两个数据类并将它们包含在目标项目的 app_code 目录中。这两个文件为 MembershipDataObject.cs 和 RoleDataObject.cs。然后，需要将 aspx 文件 Membership.aspx 及其内含代码页面 Membership.aspx.cs 移到当前项目中。</p>
<p>　　一定要对此页面提供保护，以防止任何未被指定为 Administrator 角色的用户访问它。否则，任何用户都能够修改其他用户的登录信息。为此，请确保 Membership.aspx 页面在 web.config 文件中受到保护。web.config 文件中用来实现此目的的示例行如下。</p>
<p>&lt;system.web&gt;<br />&lt;location path="Membership.aspx" &gt;<br />&lt;system.web&gt;<br />&lt;authorization &gt;<br />&lt;allow roles="Administrators"/&gt;<br />&lt;/authorization&gt;<br />&lt;/system.web&gt;<br />&lt;/location&gt;<br />&lt;/system.web&gt;</p>
<p>　　由于此页面受到了保护，因此当前登录的用户帐户必须被指定为 Administrator 角色才能访问此页面。</p>
<p>　　实现此目的的最好方法是执行一次下面的代码，然后从 Web 服务器中删除该代码。例如，可以在 ASP.NET 网页的页面加载事件中执行。然后在调用此页面之后，从服务器中将其删除。这样，只有使用密码登录帐户 admin 才能访问 Membership Management 页面。</p>
<p>Roles.CreateRole("Administrator");<br />Roles.CreateRole("User");<br />Roles.CreateRole("Guest");<br />Membership.CreateUser("admin", "在此输入强密码");<br />Roles.AddUserToRole("admin", "Administrator");</p>
<p>　　<strong>结论</strong></p>
<p>　　设置任何网站时，都务必确认将使用该网站的用户并了解他们的相关安全性要求。例如，如果网站将供公司的内部组使用，不会有外部用户访问，且不包含敏感数据，那么配置简单安全性就足够了。即，不需要加密、松散密码约束等。身份验证可以作为跟踪输入数据的用户身份的一种便利方法。反之，如果网站在 Internet 上并且会处理机密数据，则一定要尽可能锁定该网站，仅允许通过身份验证的用户进行访问。</p>
<p>　　本文简要介绍了在设置 ASP.NET 网站的安全性时需要注意的事项，说明了如何添加安全页面来修改登录到网站的用户的 Membership 和 Role 信息。本系列由两篇文章组成，下一篇文章将假定读者已了解开发网站时设置安全性方面的问题，并将详细介绍 Membership Management 页面的工作方式。</p>
<p><b>　　作者简介</b></p>
<p>　　Peter Kellner 于 1990 年创办了 73rd Street Associates，在此成功地为全国 500 多家客户提供了有关大学医务室调度、保险公司管理和一站式医生诊所管理的系统。十年后（即 2000 年），一家大型保险公司收购了 73rd Street Associates，于是 Peter 开始了作为独立软件顾问的新职业生涯。目前，他涉及的技术中包括 ASP.NET、Oracle、Java、VOiP，很快会包括 SQL Server。 不工作时，Peter 将他的大部分空闲时间花在骑车旅行上。他已骑车周游了全世界。最近，他和妻子 Tammy 只用了 27 天就完成了从美国加利福尼亚州骑车到乔治亚州的旅程。</p>
<p>　　他的博客站点为 http://peterkellner.net/。您可以在下载区域找到本文和所列的代码。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:53:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/%e8%ba%ab%e4%bb%bd/" title="身份">身份</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8%e6%80%a7/" title="安全性">安全性</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用 IIS 进行ASP.NET 成员/角色管理(1)：安全和配置概述的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2n83b.html" rel="bookmark">使用 IIS 进行 ASP&period;NET 2&period;0 成员&sol;角色管理&lpar;2&rpar;：实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|iis 摘要:本文介绍如何通过创建三层结构式 ASP.NET 2.0 应用程序来维护 IIS 生产服务器中的成员身份数据库和角色数据库. 简介 成员身份编辑器 Microsoft Visual Studio 2005 版本中没有用于维护 Microsoft IIS 中的成员身份数据库和角色数据库的&quot;现成&quot;解决方案.将开发环境中的应用程序移至 IIS 生产服务器时这就会是个问题.Microsoft 提供的实用程序 ASP.NET Web Configuration 只能在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDJ98z.html" rel="bookmark">Win7中IIS的ASP&period;NET环境配置简洁版&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工作中需要在Win7中使用IIS搭建ASP.NET的网站,这里分享下配置中的小问题. siyue最开始自己配了一遍,发现使用IIS运行ASP.NET网站时一直报错,想到自己可能配置的有问题,于是上网找点资料看看. 发现有个朋友对这个进行了详细的设置,非常好的介绍,我这里只是稍微总结下,好让自己记得更清楚. 详细内容传送门:Win7旗舰版中的IIS配置asp.net的运行环境 siyue觉得在Win7上配置IIS,一般的安装IIS和建立网站都没问题,(不过要运行ASP必须在开发工具那里安装ASP.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrDoEp.html" rel="bookmark">&lbrack;&period;NET 基于角色安全性验证&rsqb; 之四：ASP&period;NET 2&period;0 成员资格和角色管理授权</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从严格意义上来说,ASP.NET 2.0 的成员资格.角色管理授权和 .NET 角色安全性没有多大关系.只不过,Microsoft 替我们完成了一些原本需要我们自己进行的工作而已. 在这两种新的技术中使用的&quot;提供程序模型&quot;倒是值得我们好好学习一下,因为这个 IoC 概念非常相似. 成员资格 成员资格提供了通用的用户管理功能,诸如注册.登录.找回密码等,加上与之配套的可视化控件,我们&quot;几乎&quot;不用在编写额外的代码就可以工作.实际上真是如此吗?MemebershipUse			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baKPYqp.html" rel="bookmark">七天学会ASP&period;NET MVC &lpar;五&rpar;&mdash;&mdash;Layout页面使用和用户角色管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系列文章 七天学会ASP.NET MVC (一)--深入理解ASP.NET MVC 七天学会ASP.NET MVC (二)--ASP.NET MVC 数据传递 七天学会ASP.NET MVC (三)--ASP.Net MVC 数据处理 七天学会ASP.NET MVC (四)--用户授权认证问题 七天学会ASP.NET MVC (五)--Layout页面使用和用户角色管理  七天学会ASP.NET MVC (六)--线程问题.异常处理.自定义URL 七天学会ASP.NET MVC(七)--创建单页			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyW6PZz.html" rel="bookmark">asp&period;net 角色管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我想使用自已定义的角色管理.如我在sqlserver数据库中有一个staff表,表中有三列:分别为name(用户名),pwd(密码),right(权限---0或1)怎么写登陆的click事件代码,要求是当right为1时页面转向admin_main.aspx,而当right为时页面转向main.aspx希望解释的详细一些!多给点分嘛! 解决方案 解决方案二:如果简单一点做的话:就是在click事件验证的同时返回right列值再判断并进行跳转不知道你是不是这个意思.解决方案三:不是这个意			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEEljp.html" rel="bookmark">初识 ASP&period;NET Membership 用户管理&lowbar;基础应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.与session的不同点 Membership 一般指用微软的aspnetdb数据库来进行身份认证 Session是指网站用户的会话信息 二.Membership 类提供的功能可用于: 1.创建新用户. 2.将成员资格信息(用户名.密码.电子邮件地址及支持数据)存储在 Microsoft SQL Server 或其他类似的数据存储区. 3.对访问网站的用户进行身份验证.可以以编程方式对用户进行身份验证,也可以使用 Login 控件创建一个只需很少代码或无需代码的完整的身份验证系统. 4.管理			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmj7Jwz.html" rel="bookmark">艾伟&lowbar;转载：&lbrack;原创&rsqb;再谈IIS与ASP&period;NET管道</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在2007年9月份,我曾经写了三篇详细介绍IIS架构和ASP.NET运行时管道的文章,深入介绍了IIS 5.x与IIS 6.0HTTP请求的监听与分发机制,以及ASP.NET运行时管道对HTTP请求的处理流程: [原创]ASP.NET Process Model之一:IIS 和 ASP.NET ISAPI[原创]ASP.NET Process Model之二:ASP.NET Http Runtime Pipeline - Part I[原创]ASP.NET Process Model之二:ASP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP28kZb.html" rel="bookmark">艾伟：&lbrack;原创&rsqb;再谈IIS与ASP&period;NET管道</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在2007年9月份,我曾经写了三篇详细介绍IIS架构和ASP.NET运行时管道的文章,深入介绍了IIS 5.x与IIS 6.0HTTP请求的监听与分发机制,以及ASP.NET运行时管道对HTTP请求的处理流程: [原创]ASP.NET Process Model之一:IIS 和 ASP.NET ISAPI[原创]ASP.NET Process Model之二:ASP.NET Http Runtime Pipeline - Part I[原创]ASP.NET Process Model之二:ASP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z46QD9M.html" rel="bookmark">&lbrack;原创&rsqb;再谈IIS与ASP&period;NET管道</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在2007年9月份,我曾经写了三篇详细介绍IIS架构和ASP.NET运行时管道的文章,深入介绍了IIS 5.x与IIS 6.0HTTP请求的监听与分发机制,以及ASP.NET运行时管道对HTTP请求的处理流程: [原创]ASP.NET Process Model之一:IIS 和 ASP.NET ISAPI[原创]ASP.NET Process Model之二:ASP.NET Http Runtime Pipeline - Part I[原创]ASP.NET Process Model之二:ASP			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLa8Az.html" rel="bookmark" class="title">用TRUETYPE技术显示汉字</a>
					<div>
						我知道有一个FREETYPE库可以把TRUETYPE字库渲染成点阵字.但是请注意TRUETYPE技术中包含了多项Apple公司的技术专利(主要是解释其HINT码),目前FREETYPE项目负责人已经收 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boRyXz.html" rel="bookmark" class="title">Android4&period;4 修改哪里能够让浏览器自动播放视频  autoplay</a>
					<div>
						问题描述 Android4.4 修改哪里能够让浏览器自动播放视频 autoplay 10C google 在Android4.4 浏览器中禁用了 autoplay功能,需要点击一下播放按钮才可以.现在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp86g4b.html" rel="bookmark" class="title">fontsize 方法</a>
					<div>
						  把一个带有 SIZE 属性的 HTML &lt;FONT&gt; 标记放置在 String 对象中的文本的两端. strVariable.fontsize(intSize) 参数 strVaria ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbERBoM.html" rel="bookmark" class="title">正则表达式的应用</a>
					<div>
						正则 正则表达式的早期起源 正则表达式的&quot;祖先&quot;可以一直上溯至对人类神经系统如何工作的早期研究.Warren McCulloch 和 Walter Pitts 这两位神经生理学家研 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYa09M.html" rel="bookmark" class="title">建站流水帐&plus;建站感悟&plus;《致站长》</a>
					<div>
						站长 2002年那年我初一,家里就给我添置电脑了.但是对于初二以前在网络游戏浪费的那段日记我不说了. 2003年初二的时候,一次偶然的机会,看中高中的信息技术课本,上面有一个网页设计入门的章节,讲的都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBDAJp.html" rel="bookmark" class="title">以原型设计为基础分析可视化内容设计</a>
					<div>
						在风起云涌的互联网浪潮中,产品迭代的速度越来越快.随着用户需求的激增,也不断带来了对设计师能力要求的提高.初入交互设计领域几年来,明显发现可视化的内容远比文档的更易于被用户(以至我们的客户)所接受,就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB26nJb.html" rel="bookmark" class="title">Single Number：从数组中找出只出现一次的数字</a>
					<div>
						[ 问题: ] Given an array of integers, every element appears twice except for one. Find that single one ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7lDWM.html" rel="bookmark" class="title">12个鲜为人知的HTML 5设计小技巧</a>
					<div>
						  慎用向右滑动操作.慎用横屏展示效果.按钮原理页面底部.使用SVG格式做矢量图-- 以上提到的技巧全都出自今天这篇好文,简单小巧但实操性很强,作为设计师,也要尽量避开这些坑. 1.交互上,慎用向右滑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k4jrz.html" rel="bookmark" class="title">解决PHP无法访问远程mysql的问题</a>
					<div>
						  说明,远程服务器是可远程访问的. 我遇到的问题是这样的:有A,B,C三台服务器,C为服务器,B可以用PHP成功连接上C机器的mysql,而A机器则不能连接! 可以说,肯定不是代码有什么问题,服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl0XWb.html" rel="bookmark" class="title">阿里云服务器如何重开机</a>
					<div>
						阿里云如何重开机 当欠费停机但数据未释放时,ECS 实例上的数据会保留 7 天.您需要充值,自动结清欠费账单并有余额,然后将需要保留的实例进行重开机操作.如果没有重开机,ECS 实例将在欠费之日起 7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaolZM.html" rel="bookmark" class="title">如何在PPT中插入添加公司LOGO</a>
					<div>
						在用powerpoint为公司做演示文稿时,最好每一页都加上公司的Logo,这样可以间接地为公司做免费广告.如何每一张都插入也可以但是很麻烦,其实我们可以在母版中一次性搞好,并且在普通试图中编辑文字是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24R4Qp.html" rel="bookmark" class="title">Word2010文档内容控件的巧妙使用</a>
					<div>
						  ①打开Word,将光标定位到姓名后面的方格,单击开发工具里面的Aa按钮,即格式文本内容控件. 文档内容控件的巧妙使用-word文档内容控件&quot;&gt; ②可以看到默认的就是单击此处输入文字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmxeWz.html" rel="bookmark" class="title">U精灵U盘启动盘如何制作</a>
					<div>
						  一.U盘启动盘制作前准备 1.从U精灵官方网站(www.u-jingling.com)下载U精灵U盘启动制作工具 2.运行程序之前请尽量关闭杀毒软件和安全类软件(本软件涉及对可移动磁盘的读写操作, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLeWEb.html" rel="bookmark" class="title">视频播放出错需要更新Flash Player怎么办</a>
					<div>
						  观看视频时无法播放,提示更新Flash Player. 点击&quot;立即安装&quot;. 如果不想改变你的浏览器在弹出的页面的&quot;可选产品&quot;选项取消勾选. 点击&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7jPNp.html" rel="bookmark" class="title">JQuery Easy Ui （Tree树）详解（转）</a>
					<div>
						   第一讲:JQuery Easy Ui到底是什么呢? 首先咱们知道JQuery是对Java Script的封装,是一个js库,主要提供的功能是选择器,属性修改和事件绑定等等.. JQuery ui ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQjkdz.html" rel="bookmark" class="title">各位请问一下</a>
					<div>
						问题描述 学习了j2me的同时是不是也需要学习一些j2ee方面的知识呢?比如hibernate,spring之类的,小弟我觉得光学习j2me太单调了啊,有工作经验的大侠们指点一下不胜感激 解决方案 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamwjmb.html" rel="bookmark" class="title">从程序员的角度谈创业三年的亲身体会</a>
					<div>
						在创业三年时间里作为联合创始人,虽然拿着大家均等的股份,我始终是没有什么话语权的,但是,这也给了我从旁观者的角度看清整个局面的机会.创业公司的成败绝大程度取决于技术大牛和公司 Leader,这两个人最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YZOvM.html" rel="bookmark" class="title">Visual Studio原生开发的10个调试技巧（一）</a>
					<div>
						原文:Visual Studio原生开发的10个调试技巧(一) 最近碰巧读了Ivan Shcherbakov写的一篇文章,&lt;11个强大的Visual Studio调试小技巧&gt;.这篇文章只介 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RA17z.html" rel="bookmark" class="title">Mindshapes融资成功 儿童教育应用前景可观</a>
					<div>
						近日,据国外媒体报道,作为一家总部设在英国的交互式学习应用开发商,Mindshapes刚刚在Index Ventures领投,Richmond Park Partners和现有投资者参与的新一轮融资中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJk1kp.html" rel="bookmark" class="title">linq to xml复习</a>
					<div>
						虽然linq to xml随着.net framework3.0一起发布N久了,但因为自己以前参考网上的代码封装了一个xml操作类(当时linq to xml还没出来,这个封闭工具类一直也用得很顺手) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RODRz.html" rel="bookmark" class="title">SpringMVC&plus;Spring&plus;Mybatis整合，使用druid连接池，声明式事务，maven配置</a>
					<div>
						一直对springmvc和mybatis挺怀念的,最近想自己再搭建下框架,然后写点什么. 暂时没有整合缓存,druid也没有做ip地址的过滤.Spring的AOP简单配置了下,也还没具体弄,不知道能不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNXekM.html" rel="bookmark" class="title">找云合作伙伴 来云生态峰会</a>
					<div>
						2016年7月28日,中国云计算市场的一大盛事--2016中国云计算生态系统峰会,即将在北京国家会议中心隆重举行.         中国云计算生态系统峰会,由商业伙伴咨询机构主办,已经于2014和20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JyvWz.html" rel="bookmark" class="title">去除js数组中的重复元素</a>
					<div>
						问题描述 var array = [1,'1',1,'1',true,'true',2,3,2]; 要求结果为:[1,'1',true,'true',2,3];顺序无要求,但时间复杂度尽可能低,最好是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJ05Rp.html" rel="bookmark" class="title">自动生成数据库字典&lpar;sql2008&rpar;</a>
					<div>
						每次做项目的时候都要做数据字典,这种重复的工作实在很是痛苦,于是广找资料,终于完成了自动生成数据库字典的工作,废话少说,上代码. 存储过程: SET ANSI_NULLS ON GO SET QUOT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7j6Rz.html" rel="bookmark" class="title">如何提高ASP&period;NET 编程能力&quest;&quest;&quest;请高手指教&excl;&excl;&excl;&excl;</a>
					<div>
						问题描述 如何提高ASP.NET编程能力???请高手指教!!!!最好能写出学习步骤和方法,谢谢!!!本人目前的水平属于中低水平,只能开发简单的系统,而且不规范. 解决方案 解决方案二:严格来说,我俩不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60P7Yz.html" rel="bookmark" class="title">spring注入属性（&commat;Resource注解配置），属性值为空，求指导啊！！！</a>
					<div>
						问题描述 @Resource属性注入测试在java普通工程不是web工程applicationContext.xml配置&lt;context:component-scanbase-package=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnNX1M.html" rel="bookmark" class="title">海润光伏应对危机无具体方案 董事长因感冒未出席股东大会</a>
					<div>
						海润光伏本周举行的年度股东大会上,有多位投资者从外地赶到海润光伏总部参加会议,希望了解公司将如何应对危机.让他们失望的是公司董事长孟广宝因为感冒并未出席,参与会议的高管对股东提问也没给出明确答复.参会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnZnJM.html" rel="bookmark" class="title">加速电信业转型 信天通信联手渠道伙伴共拓&OpenCurlyDoubleQuote;互联网&plus;&rdquo;蓝海</a>
					<div>
						转型.转型,还是转型,这是近几年来电信业提到最多的话题.随着互联网+时代的到来,传统运营商主导的电信产业链架构正在逐渐转向全开放的ICT产业链架构.转型,已如箭在弦上,不得不发. 信天通信,作为曾经的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW8wKz.html" rel="bookmark" class="title">十年洗礼，电子商务进入多渠道并存时代</a>
					<div>
						话说十多年前的 1998年,在网络江湖的&quot;伦敦郊区&quot;,一个江湖卖家单枪匹马,在高为8848米的雪山开设一间店铺,豪言要打造购物新体验.顷刻间,江湖中人一传十,十传百,此事以发现武林 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDk4nWp.html" rel="bookmark" class="title">Jquery Mobile插件的使用-头部工具栏详解</a>
					<div>
						工具栏定位的设置 Toolbar positioning options 在页面中设置头部栏和尾部栏的位置定位有几种方法.默认情况下,工具栏的定位的属性为&quot;inline&quot;.在这种模 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.034 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
